html {

	padding: 0;
	margin: 0;
	height: 100%;

}

body {

	padding: 0;
	margin: 0;
	height: 100%;
	background-color: #eee;
	overflow-x: hidden;

}

main {

	height: 100%;

}

div.container {

	width: 100%;
	max-width: 1200px;
	display: block;
	margin: auto;

}

header {

	background-color: rgb(0, 105, 92);
	box-shadow: 0 0 4px rgba(0,0,0,.14),0 4px 8px rgba(0,0,0,.28);

}

header div.light {

	height: 240px;
	/* background-image: url(../img/tealized.jpg); */
	background-size: 100% 150%;

}

header div.dark {

	height: 48px;

}

header div.light td.menu {

	width: 50px;
	display: none;

}

header div.light td.social {
	
	vertical-align: top;
	padding-top: 40px;
	width: 60px;

}

header div.light td.social div.circle {

	background-color: #78909c;
	width: 36px;
	height: 36px;
	border-radius: 40px;
	display: block;
	margin: auto;
	background-size: 90%;
	background-position: center;
	background-repeat: no-repeat;

}

header div.light td.social div.circle.liberapay {

	background-image: url(../img/liberapay.png);

}

header div.light td.social div.circle.gitlab {

	background-size: 70%;
	background-image: url(../img/gitlab.png);

}

header div.light td.social div.circle.mastodon {

	background-size: 55%;
	background-image: url(../img/mastodon.png);

}

header div.light div.menu {

	border: 2px solid #fff;
	border-radius: 4px;
	width: 36px;
	height: 36px;
	display: block;
	margin: auto;
	position: relative;
	pointer-events: none;

}

header div.light div.menu div.line {

	width: 30px;
	height: 5px;
	position: absolute;
	border-radius: 2px;
	background-color: #f2f2f2;
	left: 3px;

}

header div.light div.menu div.line.top {

	top: 4px;

}

header div.light div.menu div.line.middle {
	
	top: 15px;

}

header div.light div.menu div.line.bottom {

	top: 26px;

}

header div.light {
	
	background-color: #223139;

}

header div.container {

	height: 100%;

}

header table td.mascot {

	width: 240px;

}

header table td.title {

	vertical-align: top;
	color: #fff;
	padding-top: 40px;

}

header table td.title h2 {

	padding: 0;
	margin: 0;
	color: #78909c;
	margin-top: 4px;
	font-size: 22px;
	font-weight: 400;
	font-family: 'Muli', sans-serif;
	letter-spacing: 0.9px;
}

header table td.mascot img {

	max-height: 280px;

}

header table.spacing {

	width: 100%;
	height: 100%;
	table-layout: fixed;
	border-collapse: collapse;

}

header table.spacing h1 {

	color: #fff;
	padding: 0;
	margin: 0;
	font-size: 34px;
	font-family: 'Aldrich', sans-serif;
	letter-spacing: 0.8px;
	position: relative;
	top: 4px;

}

header table.spacing td.select {

	font-size: 22px;
	font-family: 'Muli', sans-serif;
	color: #fff;
	text-align: center;
	width: 190px;
	position: relative;

}

header table.spacing td.select:hover {

	cursor: pointer;
	color: #78909c;

}

header table.spacing td.select.active:before {

	content: "";
	position: absolute;
	left: 4px;
	bottom: 0px;
	width: calc(100% - 8px);
	height: 4px;
	background-color: #78909c;
	

}

section {

	padding: 30px 0;
	min-height: 500px;

}

aside {

	width: 240px;
	background-color: rgba(0,0,0,0.04);
	min-height: 300px;
	float: left;
	border: 1px solid #ccc;
	border-radius: 3px;
	overflow: hidden;

}

aside li {

	list-style: none;
	width: calc(100% - 20px);
	padding: 9px 10px;
	font-family: Roboto,RobotoDraft,Arial,sans-serif;
	font-size: 15px;
	letter-spacing: 0.8px;

}

aside li.active {

	color: #039be5;

}

aside li:hover {

	cursor: pointer;
	background-color: rgba(0,0,0,0.05);

}

article {

	float: right;
	width: 860px;
	padding: 14px 20px;
	min-height: 1100px;
	background-color: #fff;
	max-width: 100%;
	border: 1px solid #ddd;
	border-radius: 6px;
	color: #545454;

}

article h3 {

	font-family: 'Muli', sans;
	font-size: 26px;
	padding: 0;
	margin: 0;
	font-family: 0.8px;

}

div.meta {
	
	padding-top: 4px;
	padding-bottom: 10px;

}

div.meta a {

	text-decoration: none;
	color: #00695c;
	font-family: Roboto,sans-serif;
	
}

div.meta a:hover {

	cursor: pointer;
	text-decoration: underline;

}

div.meta table {

	width: 100%;
	table-layout: fixed;
	border-collapse: collapse;

}

div.meta table td {
	
}

div.meta table tr td:last-child {

	text-align: right;

}

article p {

	padding: 0;
	margin-bottom: 10px;
	margin-top: 10px;
	font-family: Roboto,sans-serif;
	font-size: 15px;
	line-height: 24px;

}

article img {

	display: block;
	margin: 20px auto;

}

article pre {

	font-family: monospace;
	font-size: 15px;
	width: calc(100% - 12px);
	border: 1px solid #ddd;
	background-color: #f2f2f2;
	border-radius: 4px;
	padding: 5px;
	font-size: 14px;
	tab-size: 4;
	-moz-tab-size: 4;
	-o-tab-size: 4;
	margin-top: 10px;
	margin-bottom: 10px;

}

div.pagination {

	height: 130px;
	width: calc(100% + 40px);
	margin-left: -20px;
	overflow: hidden;
	position: relative;

}

div.prev {

	position: absolute;
	top: 20px;
	padding-left: 90px;
	padding-top: 20px;
	padding-bottom: 20px;
	/*background-color: #ddd;*/
	border: 1px solid #545454;
	border-top-right-radius: 50px;
	border-bottom-right-radius: 50px;
	border-left: none;
	width: calc(40% - 100px);

}

div.prev label {

	display: block;
	margin: auto;
	transform: translateX(30px);
	transition: transform 300ms;

}

div.prev:hover {

	cursor: pointer;

}

div.prev:hover label {
	
	transform: translateX(0px);

}

hr {
	border: none;
	clear: both;
}

footer {

	background-color: #263238;

}

footer div.social {

	padding-bottom: 20px;

}

footer table.layout {

	width: 100%;
	table-layout: fixed;
	border-collapse: collapse;

}

footer h5{

	text-align: left;
	font-family: Roboto,sans-serif;
	font-weight: 600;
	font-size: 16px;
	color: #fff;
	margin-bottom: 10px;
	letter-spacing: 0.5px;

}

footer div.copyright {

	width: 100%;
	padding: 14px 0;
	background-color: #455a64;
	text-align: center;
	font-size: 12px !important;
	font: 400 16px/24px Roboto,sans-serif;
	color: #fff;
	letter-spacing: 0.7px;

}

footer table.fixed {

	width: 100%;
	table-layout: fixed;

}

footer table.fixed td {

	padding-top: 8px;
	padding-bottom: 8px;
	color: #cfd8dc;
	font-family: Roboto,sans-serif;
	font-size: 14px;
	letter-spacing: 0.5px;

}

footer table.fixed td a {

	color: #cfd8dc;
	text-decoration: none;

}

footer table.fixed td a:hover {

	color: #fff;

}

@media screen and (max-width: 800px) {

	aside {
		display: none;
	}

	header {
		/*position: fixed;
		z-index: 100;*/
		padding-bottom: 40px;
		position: relative;

	}

	header div.light {
		background-color: #223139;
		height: 120px;
	}

	header table td.mascot {
		width: 10px;
	}
	
	header table td.mascot img {

		position: absolute;
		display: none;
		margin: auto;
		top: 50px;
		width: 190px;
		left: calc(50% - 85px);

	}
	
	header table td.mascot img:before {

		content: "";
		display: block;
		position: absolute;
		bottom: 0;
		left: -25px;
		width: calc(100% + 50px);
		height: 100%;
		background-color: rgb(0, 105, 92);
		border-top-left-radius: 110px;
		border-top-right-radius: 110px;

	}

	header table.spacing h1 {
		color: #fff;
	}

	header div.dark {
		display: none;
	}
	
	section {
		
	}

	header div.light td.menu {
		display: table-cell;
		vertical-align: top;
		padding-top: 20px;

	}
	
	header div.light td.title {
		padding-top: 20px;

	}

	header div.light td.social {
		display: none;
	}

	footer td.block{
		display: block;
	}
	
	footer h5 {
		
		text-align: center;

	}

	footer table tr td:first-child {
		
		text-align: right;
		padding-right: 20px;

	}

	footer table tr td:last-child {
		
		text-align: left;
		padding-left: 20px;

	}

}

@media screen and (max-width: 1200px) {

	section {
		padding: 0;
	}

	aside {
		
		float: none;
		display: block;
		margin: 10px auto;
		width: calc(100% - 12px);

	}

	article {
		
		float: none;
		display: block;
		margin: auto;
		width: calc(100% - 10px);
		padding: 5px;
		border: none;
		border-radius: 0;

	}

}
